
Redmine - Patch #31439

 I can not attach a file to a ticket

2019-05-24 10:45 - Mic Don

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Description

I can not attach a text file to a ticket.

Please help if it is good

OK pattern

フォーマットを確認

SELECT * FROM m_fb_zenfmt

WHERE 1=1

AND fmt_keyno = 9000

AND isnull(syogo2,0) <> 0

 NG pattern

--フォーマットを確認

SELECT * FROM m_fb_zenfmt

WHERE 1=1

--AND fmt_keyno = 9000

AND isnull(syogo2,0) <> 0

 Environment:

Redmine version                3.2.0.stable

Ruby version                   2.2.4-p230 (2015-12-16) [x86_64-linux-gnu]

Rails version                  4.2.5

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.9.4

Git                            2.7.4

Filesystem

Redmine plugins:

clipboard_image_paste          1.10

easy_baseline                  1.2

easy_gantt                     1.4

easy_gantt_pro                 1.4

redmine_absolute_dates         0.0.2

redmine_agile                  1.3.13

redmine_checklists             3.1.3

redmine_ckeditor               1.1.3

redmine_favourite_projects     0.7

redmine_issue_evm              3.5.7

redmine_my_customize           0.0.9

redmine_per_project_formatting 0.0.4

redmine_projects_accordion     0.1.0

redmine_tagging                0.1.3

redmine_theme_changer          0.2.0

redmine_vividtone_my_page_blocks 20150614

redmine_work_time              0.3.1

History
#1 - 2019-05-24 10:49 - Mic Don

- File OK.txt added

- File NG.txt added

#2 - 2019-05-24 11:51 - Go MAEDA

- Status changed from New to Needs feedback

I cannot reproduce the problem.

Is the problem only depends on the content of the file? Or does the file name also affects?

Please paste errors here if you see any errors in log/production.log file

--

[ja]

問題を再現できませんでした。

エラーはファイルの内容だけに依存しますか? それともファイル名も関係しますか?

production.log に何かエラーが記録されていませんか? もしあればここに貼り付けてください

#3 - 2019-05-27 02:20 - Mic Don

- File capture.PNG added

Thank you for your reply

Is the problem only depends on the content of the file? Or does the file name also affects?

It is only content of the file

Please paste errors here if you see any errors in log/production.log file

An error was not recorded in production.log

#4 - 2019-05-27 02:51 - Go MAEDA

Perhaps one of the plugins may cause the problem. Could you try again after removing all plugins?

#5 - 2019-05-27 03:51 - Mic Don

I attach a log for reference.

log/production.log

ActionController::RoutingError (No route matches [GET] "/plugin_assets/redmine_favourite_projects/stylesheets/

chosen-sprite@2x.png"):

  vendor/bundler/ruby/2.2/gems/actionpack-4.2.5/lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call

'

  vendor/bundler/ruby/2.2/gems/actionpack-4.2.5/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'

  vendor/bundler/ruby/2.2/gems/railties-4.2.5/lib/rails/rack/logger.rb:38:in `call_app'

  vendor/bundler/ruby/2.2/gems/railties-4.2.5/lib/rails/rack/logger.rb:20:in `block in call'

  vendor/bundler/ruby/2.2/gems/activesupport-4.2.5/lib/active_support/tagged_logging.rb:68:in `block in tagged

'

  vendor/bundler/ruby/2.2/gems/activesupport-4.2.5/lib/active_support/tagged_logging.rb:26:in `tagged'

  vendor/bundler/ruby/2.2/gems/activesupport-4.2.5/lib/active_support/tagged_logging.rb:68:in `tagged'

  vendor/bundler/ruby/2.2/gems/railties-4.2.5/lib/rails/rack/logger.rb:20:in `call'

  vendor/bundler/ruby/2.2/gems/actionpack-4.2.5/lib/action_dispatch/middleware/request_id.rb:21:in `call'

  vendor/bundler/ruby/2.2/gems/rack-1.6.4/lib/rack/methodoverride.rb:22:in `call'

  vendor/bundler/ruby/2.2/gems/rack-1.6.4/lib/rack/runtime.rb:18:in `call'

  vendor/bundler/ruby/2.2/gems/activesupport-4.2.5/lib/active_support/cache/strategy/local_cache_middleware.rb

:28:in `call'

  vendor/bundler/ruby/2.2/gems/actionpack-4.2.5/lib/action_dispatch/middleware/static.rb:116:in `call'

  vendor/bundler/ruby/2.2/gems/rack-1.6.4/lib/rack/sendfile.rb:113:in `call'

  vendor/bundler/ruby/2.2/gems/railties-4.2.5/lib/rails/engine.rb:518:in `call'

  vendor/bundler/ruby/2.2/gems/railties-4.2.5/lib/rails/application.rb:165:in `call'

  vendor/bundler/ruby/2.2/gems/railties-4.2.5/lib/rails/railtie.rb:194:in `public_send'

  vendor/bundler/ruby/2.2/gems/railties-4.2.5/lib/rails/railtie.rb:194:in `method_missing'

  vendor/bundler/ruby/2.2/gems/unicorn-5.1.0/lib/unicorn/http_server.rb:562:in `process_client'
  vendor/bundler/ruby/2.2/gems/unicorn-5.1.0/lib/unicorn/http_server.rb:658:in `worker_loop'

  vendor/bundler/ruby/2.2/gems/unicorn-5.1.0/lib/unicorn/http_server.rb:508:in `spawn_missing_workers'

  vendor/bundler/ruby/2.2/gems/unicorn-5.1.0/lib/unicorn/http_server.rb:519:in `maintain_worker_count'

  vendor/bundler/ruby/2.2/gems/unicorn-5.1.0/lib/unicorn/http_server.rb:283:in `join'

  vendor/bundler/ruby/2.2/gems/unicorn-5.1.0/bin/unicorn_rails:209:in `<top (required)>'

  vendor/bundler/ruby/2.2/bin/unicorn_rails:22:in `load'

  vendor/bundler/ruby/2.2/bin/unicorn_rails:22:in `<main>'

#6 - 2019-07-30 09:46 - Go MAEDA

Please check if the problem still persists after uninstalling all plugins.

#7 - 2020-01-31 11:34 - Go MAEDA

- Status changed from Needs feedback to Closed

Closing because this seems a plugin issue.

#8 - 2022-12-13 14:53 - Dimitar (RedmineUP)

Dear Mic,

This is Dimitar from the RedmineUP Support Team.

As I can see there is some problem with our plugin (the Favorite projects plugin from RedmineUP):

ActionController::RoutingError (No route matches [GET] "/plugin_assets/redmine_favourite_projects/stylesheets/

chosen-sprite@2x.png"):

 So, please contact our support team at support@redmineup.com and our engineers will help you find the solution.

We look forward to hearing from you.

Mic Don wrote:

I attach a log for reference.

log/production.log

[...]

Files

OK.txt 105 Bytes 2019-05-24 Mic Don

NG.txt 111 Bytes 2019-05-24 Mic Don

capture.PNG 21.9 KB 2019-05-27 Mic Don
